dbXML API

## org.dbxml.core
Class DBException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.dbxml.server.dbXMLException
                        |
                        +--org.dbxml.core.DBException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FilerException, IndexerException, QueryException, SecurityException, XMLObjectException

public class DBException
extends org.dbxml.server.dbXMLException

A DBException is thrown by the database if an exception occurs in the managing (creating, dropping) database objects such as Collections, Indexes, and XMLObjects.

See Also:
  Serialized Form

Field Summary
`int` `faultCode`

Constructor Summary
`DBException()`
`DBException(int faultCode)`
`DBException(int faultCode, java.lang.String message)`

Methods inherited from class org.dbxml.server.dbXMLException
`getWrappedThrowable, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### faultCode

    public int faultCode

Constructor Detail

### DBException

    public DBException()

### DBException

    public DBException(int faultCode)

### DBException

    public DBException(int faultCode,
                       java.lang.String message)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved